Bug 9511 - unable to join samba to Windows Server 2008
unable to join samba to Windows Server 2008
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0.0rc6
x86 Linux
: P5 critical
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 17:01 UTC by edwin
Modified: 2012-12-25 21:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2012-12-18 17:01:06 UTC
I was trying to joing samba4 to AD DS Windows server 2008 ; here is the output of my console :


"
root@samba-ad:/usr/local/samba# bin/samba-tool domain join edwin.lan DC -U edwin  --dns-backend=BIND9_DLZ
Finding a writeable DC for domain 'edwin.lan'
Found DC wins2008.edwin.lan
Password for [EDWIN\edwin]:
Password for [EDWIN\edwin]:
Password for [EDWIN\edwin]:
workgroup is EDWIN
realm is edwin.lan
checking sAMAccountName
Adding CN=SAMBA-AD,OU=Domain Controllers,DC=edwin,DC=lan
Adding CN=krbtgt_SAMBA-AD,CN=Users,DC=edwin,DC=lan
Got krbtgt_name=krbtgt_28667
Renaming CN=krbtgt_SAMBA-AD,CN=Users,DC=edwin,DC=lan to CN=krbtgt_28667,CN=Users,DC=edwin,DC=lan
Adding CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
Adding CN=NTDS Settings,CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
Adding CN=RODC Connection (FRS),CN=NTDS Settings,CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
Adding SPNs to CN=SAMBA-AD,OU=Domain Controllers,DC=edwin,DC=lan
Setting account password for SAMBA-AD$
Enabling account
Calling bare provision
No IPv6 address will be assigned
Provision OK for domain DN DC=edwin,DC=lan
Starting replication
Schema-DN[CN=Schema,CN=Configuration,DC=edwin,DC=lan] objects[402] linked_values[0]
Schema-DN[CN=Schema,CN=Configuration,DC=edwin,DC=lan] objects[804] linked_values[0]
Schema-DN[CN=Schema,CN=Configuration,DC=edwin,DC=lan] objects[1206] linked_values[0]
Schema-DN[CN=Schema,CN=Configuration,DC=edwin,DC=lan] objects[1521] linked_values[0]
Analyze and apply schema objects
Partition[CN=Configuration,DC=edwin,DC=lan] objects[402] linked_values[0]
Partition[CN=Configuration,DC=edwin,DC=lan] objects[804] linked_values[0]
Partition[CN=Configuration,DC=edwin,DC=lan] objects[1206] linked_values[0]
Partition[CN=Configuration,DC=edwin,DC=lan] objects[1608] linked_values[1]
Partition[CN=Configuration,DC=edwin,DC=lan] objects[1655] linked_values[18]
Replicating critical objects from the base DN of the domain
Partition[DC=edwin,DC=lan] objects[98] linked_values[34]
Partition[DC=edwin,DC=lan] objects[364] linked_values[38]
Done with always replicated NC (base, config, schema)
Replicating DC=DomainDnsZones,DC=edwin,DC=lan
Partition[DC=DomainDnsZones,DC=edwin,DC=lan] objects[51] linked_values[0]
Replicating DC=ForestDnsZones,DC=edwin,DC=lan
Partition[DC=ForestDnsZones,DC=edwin,DC=lan] objects[18] linked_values[0]
Partition[DC=ForestDnsZones,DC=edwin,DC=lan] objects[36] linked_values[0]
Partition[CN=SAMBA-AD,OU=Domain Controllers,DC=edwin,DC=lan] objects[1] linked_values[13]
Partition[CN=krbtgt_28667,CN=Users,DC=edwin,DC=lan] objects[1] linked_values[0]
Committing SAM database
descriptor_sd_propagation_recursive: DC=DomainDnsZones,DC=edwin,DC=lan not found under DC=edwin,DC=lan
Join failed - cleaning up
checking sAMAccountName
Deleted CN=SAMBA-AD,OU=Domain Controllers,DC=edwin,DC=lan
Deleted CN=RODC Connection (FRS),CN=NTDS Settings,CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
Deleted CN=NTDS Settings,CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
Deleted CN=SAMBA-AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=edwin,DC=lan
ERROR(ldb): uncaught exception - descriptor_sd_propagation_recursive: DC=DomainDnsZones,DC=edwin,DC=lan not found under DC=edwin,DC=lan
  File "/usr/local/samba/lib/python2.6/site-packages/samba/netcmd/__init__.py", line 175, in _run
    return self.run(*args, **kwargs)
  File "/usr/local/samba/lib/python2.6/site-packages/samba/netcmd/domain.py", line 558, in run
    dns_backend=dns_backend)
  File "/usr/local/samba/lib/python2.6/site-packages/samba/join.py", line 1071, in join_RODC
    ctx.do_join()
  File "/usr/local/samba/lib/python2.6/site-packages/samba/join.py", line 1009, in do_join
    ctx.join_replicate()
  File "/usr/local/samba/lib/python2.6/site-packages/samba/join.py", line 782, in join_replicate
    ctx.local_samdb.transaction_commit()
A transaction is still active in ldb context [0x8ac5f58] on /usr/local/samba/private/sam.ldb  "
Comment 1 edwin 2012-12-18 20:37:47 UTC
an anyone help me trying to resolve this issue  ?
"  ERROR(ldb): uncaught exception - descriptor_sd_propagation_recursive:" 

Thank you for your help.
Comment 2 Stefan Metzmacher 2012-12-19 09:24:28 UTC
This is fixed in the final 4.0.0 release
Comment 3 edwin 2012-12-25 21:45:54 UTC
(In reply to comment #2)
> This is fixed in the final 4.0.0 release

hello can you help to retrieve this ? Which command lines should I use to get just only the Samba 4.0.0 release  ?

Thanks for your help.

Edwin
Comment 4 Andrew Bartlett 2012-12-25 21:55:26 UTC
Just download and install Samba from https://ftp.samba.org/pub/samba/samba-4.0.0.tar.gz